
From: maximilian attems <janitor@sternwelten.at>

one of the last buildcheck errors on i386, thanks Randy again for double
checking.

Fix pnpbios section references:
make dmi_system_id pnpbios_dmi_table __initdata

Error: ./drivers/pnp/pnpbios/core.o .data refers to 00000100 R_386_32
.init.text
Error: ./drivers/pnp/pnpbios/core.o .data refers to 0000012c R_386_32
.init.text

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                          |    0 
 25-akpm/drivers/pnp/pnpbios/core.c |    2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pnp/pnpbios/core.c~pnpbios-eliminate-bad-section-references drivers/pnp/pnpbios/core.c
--- 25/drivers/pnp/pnpbios/core.c~pnpbios-eliminate-bad-section-references	Mon Apr  4 15:23:15 2005
+++ 25-akpm/drivers/pnp/pnpbios/core.c	Mon Apr  4 15:23:15 2005
@@ -512,7 +512,7 @@ static int __init exploding_pnp_bios(str
 	return 0;
 }
 
-static struct dmi_system_id pnpbios_dmi_table[] = {
+static struct dmi_system_id pnpbios_dmi_table[] __initdata = {
 	{	/* PnPBIOS GPF on boot */
 		.callback = exploding_pnp_bios,
 		.ident = "Higraded P14H",
diff -L drivers/pnp/pnpbios/core.c.orig -puN /dev/null /dev/null
_
